# Json.js

Simple Json parser and Stringyfier, See: http://www.json.org/

#### Dependencies

Moo.js, Function.js, Array.js, String.js, Element.js

#### Author

Valerio Proietti, http://mad4milk.net

#### License

MIT-style license.

Summary

Json.js | Simple Json parser and Stringyfier, See: http://www.json.org/
Json | Simple Json parser and Stringyfier, See: http://www.json.org/
Properties |
toString | Converts an object to a string, to be passed in server-side scripts as a parameter.
Functions |
evaluate | converts a json string to an object.

## Json

Simple Json parser and Stringyfier, See: http://www.json.org/

Summary

Properties |
toString | Converts an object to a string, to be passed in server-side scripts as a parameter.
Functions |
evaluate | converts a json string to an object.

### Properties

### toString

Converts an object to a string, to be passed in server-side scripts as a parameter. Although its not normal usage for this class, this method can also be used to convert functions and arrays to strings.

#### Arguments

obj | the object to convert to string

#### Returns

A json string

#### Example

>     Json.toString({apple: 'red', lemon: 'yellow'}); "{"apple":"red","lemon":"yellow"}" //don't get hung up on the quotes; it's just a string.

### Functions

### evaluate

> evaluate: function( | str | )

converts a json string to an object.

#### Arguments

str | the string to evaluate.

#### Example

>     var myObject = Json.evaluate('{"apple":"red","lemon":"yellow"}');
>     //myObject will become {apple: 'red', lemon: 'yellow'}

> evaluate: function( | str | )

converts a json string to an object.
My Object Oriented javascript.
Contains Function prototypes, utility functions and Chain.

> function $A( | array | )

Copy the array and returns it.
Same as Array.copy, but as function.
Contains Array prototypes and the function $A;
Contains String prototypes and Number prototypes.

> function $( | el | )

returns the element passed in with all the Element prototypes applied.
Contains useful Element prototypes, to be used with the dollar function $.